Retrieve all customers for a merchant
curl --request GET \
--url https://dev.superpool.unyte.africa/api/v1/customers/ \
--header 'X-API-Key: <api-key>'import requests
url = "https://dev.superpool.unyte.africa/api/v1/customers/"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://dev.superpool.unyte.africa/api/v1/customers/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"data": [
{
"customer_name": "Adeola Okonkwo",
"customer_email": "adeola.okonkwo@example.com",
"customer_phone": "08168518263"
},
{
"customer_name": "Alphoso Thracian",
"customer_email": "thracian.phonso@example.com",
"customer_phone": "+123456789"
},
{
"customer_name": "Alphoso Tracian",
"customer_email": "tracian.phonso@example.com",
"customer_phone": "+2348012345678"
},
{
"customer_name": "Baby Owner",
"customer_email": "owner@example.com",
"customer_phone": "+1122334455"
}
]
}
]
}Customers
Retrieve all customers for a merchant
This endpoint returns a list of all customers associated with the authenticated merchant. Merchants can filter customers by various attributes such as active policies or claims. Pagination is supported to handle large datasets.
GET
/
api
/
v1
/
customers
/
Retrieve all customers for a merchant
Authorizations
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
⌘I
